interface HashItem {
    counter: number;
    partitionHashes: {
        [key: string]: unknown;
    };
    networkHash: string;
    receiptMapHashes: {
        [key: string]: unknown;
    };
    networkReceiptHash: string;
}
interface Gossip extends StateMetadata {
    counter: number;
}
interface StateMetadata {
    stateHashes: HashItem[];
    receiptHashes: HashItem[];
    summaryHashes: HashItem[];
}
interface HashCollectorItem {
    counter: number;
    stateHashes?: HashItem;
    receiptHashes?: HashItem;
    summaryHashes?: HashItem;
}
export declare function sendGossip(type: string, payload: Record<string, unknown>): Promise<void>;
export declare function convertStateMetadataToHashArray(STATE_METATDATA: StateMetadata): HashCollectorItem[];
export declare function addHashesGossip(sender: string, gossip: Gossip): void;
export {};
