import { Config } from '../Config';
import * as StateMetaData from './StateMetaData';
import { Database } from 'tydb';
import { StateManager } from '@shardeum-foundation/lib-types';
import { ArchivedCycle } from './StateMetaData';
import { P2P } from '@shardeum-foundation/lib-types';
export declare let Collection: Database<any>;
export declare function initStorage(config: Config): Promise<void>;
export declare function insertArchivedCycle(archivedCycle: StateMetaData.ArchivedCycle): Promise<void>;
export declare function updateReceiptMap(receiptMapResult: StateManager.StateManagerTypes.ReceiptMapResult): Promise<void>;
export declare function updateSummaryBlob(summaryBlob: StateManager.StateManagerTypes.SummaryBlob, cycle: number): Promise<void>;
export declare function updateArchivedCycle(marker: string, field: string, data: unknown): Promise<void>;
export declare function queryAllArchivedCycles(count?: number): Promise<ArchivedCycle[]>;
export declare function queryAllArchivedCyclesBetween(start: number, end: number): Promise<ArchivedCycle[]>;
export declare function queryAllCycleRecords(): Promise<P2P.CycleCreatorTypes.CycleRecord[]>;
export declare function queryLatestCycleRecords(count?: number): Promise<P2P.CycleCreatorTypes.CycleRecord[]>;
export declare function queryCycleRecordsBetween(start: number, end: number): Promise<P2P.CycleCreatorTypes.CycleRecord[]>;
export declare function queryArchivedCycleByMarker(marker: string): Promise<ArchivedCycle | undefined>;
export declare function queryReceiptMapHash(counter: number, partition: number): Promise<string | undefined>;
export declare function querySummaryHash(counter: number, partition: number): Promise<string | undefined>;
