import { CheckpointBucketManager, CheckpointData, CheckpointRadixEntry, CheckpointRadixDigest, CheckpointBucket } from './CheckpointData';
import { OriginalTxData } from '../dbstore/originalTxsData';
export declare class OriginalTxCheckpointData extends CheckpointData<OriginalTxData> {
    constructor(data: OriginalTxData);
}
export declare function calculateBucketID(originalTx: OriginalTxData): string;
export declare class OriginalTxCheckpointRadixEntry extends CheckpointRadixEntry<OriginalTxData> {
    constructor(radix: string);
}
export declare class OriginalTxCheckpointRadixDigest extends CheckpointRadixDigest {
    constructor(radix: string, hash: string, itemCount: number);
}
export declare class OriginalTxCheckpointBucket extends CheckpointBucket<OriginalTxData> {
    constructor(startTime: number, endTime: number, bucketID: string, validateData: (data: CheckpointData<OriginalTxData>) => Promise<boolean>, updateData: (data: CheckpointData<OriginalTxData>) => Promise<void>);
    update(currentTime: number): Promise<void>;
}
declare class OriginalTxCheckpointManager extends CheckpointBucketManager<OriginalTxData> {
    private static instance;
    private constructor();
    static getInstance(): OriginalTxCheckpointManager;
}
export declare const originalTxCheckpointManager: OriginalTxCheckpointManager;
export {};
