/** Same as type AccountsCopy in the shardus core */
export type AccountsCopy = {
    accountId: string;
    data: any;
    timestamp: number;
    hash: string;
    cycleNumber?: number;
    isGlobal: boolean;
};
export declare function insertAccount(account: AccountsCopy): Promise<void>;
export declare function bulkInsertAccounts(accounts: AccountsCopy[]): Promise<void>;
export declare function updateAccount(account: AccountsCopy): Promise<void>;
export declare function queryAccountByAccountId(accountId: string): Promise<AccountsCopy | null>;
export declare function queryLatestAccounts(count: number): Promise<AccountsCopy[] | null>;
export declare function queryAccounts(skip?: number, limit?: number): Promise<AccountsCopy[]>;
export declare function queryAccountCount(): Promise<number>;
export declare function queryAccountCountBetweenCycles(startCycleNumber: number, endCycleNumber: number): Promise<number>;
export declare function queryAccountsBetweenCycles(skip: number, limit: number, startCycleNumber: number, endCycleNumber: number): Promise<AccountsCopy[]>;
export declare function fetchAccountsBySqlQuery(sql: string, value: string[]): Promise<AccountsCopy[]>;
