import type { Cluster } from 'cluster';
import { ReceiptVerificationResult } from '../Data/Collector';
import { StateManager } from '@shardeum-foundation/lib-types';
export interface ChildMessageInterface {
    type: string;
    data: {
        stringifiedReceipt?: string;
        requiredSignatures?: number;
        success?: boolean;
        err?: string;
        txId?: string;
        timestamp?: number;
        verificationResult?: ReceiptVerificationResult;
        cycle?: number;
        shardValues?: StateManager.shardFunctionTypes.CycleShardData;
    };
}
export declare let receivedReceiptCount: number;
export declare let verifiedReceiptCount: number;
export declare let successReceiptCount: number;
export declare let failureReceiptCount: number;
/**
 * @deprecated This method is currently used in server.ts but will be removed as part of cleanup.
 * Do not use this method in new code.
 */
export declare const setupWorkerProcesses: (cluster: Cluster) => void;
